
local SKELETON = Bot.Template("SKELETON", "KYRMIR_SKELETON"); 

SKELETON.setLevel(0);
SKELETON.setMagicLevel(0);

SKELETON.setHealth(500);
SKELETON.setRespawnTime(220)

SKELETON.setMeleeWeapon(Items.id("ITMW_ZWEIHAENDER1"));
SKELETON.setSkillWeapon(WEAPON_2H, 100);

SKELETON.setDamage(DAMAGE_EDGE, 120);

SKELETON.setProtection(DAMAGE_EDGE, 0);
SKELETON.setProtection(DAMAGE_BLUNT, 500);
SKELETON.setProtection(DAMAGE_FIRE, 0);
SKELETON.setProtection(DAMAGE_MAGIC, 0);
SKELETON.setProtection(DAMAGE_POINT, 0);

// Fight system
SKELETON.setWarnTime(6);
SKELETON.setHitDistance(280);
SKELETON.setChaseDistance(3600);
SKELETON.setDetectionDistance(1200);
SKELETON.setAttackSpeed(420);

SKELETON.setInitiativeFunction(TWO_HAND_AI);

SKELETON.setRoutineFunction(function(bot)
{
    if(bot.getLastAni() != null) return;

    bot.playAni("T_PERCEPTION");
        bot.setAngle(rand() % 360);
});

registerMonsterTemplate("KYRMIR_SKELETON", SKELETON);

// Drop
registerMonsterReward("KYRMIR_SKELETON", Reward.Content(350)
    .addDrop(Reward.Drop("ITMI_GOLD", 180, 180))
);

// Spawnlist
spawnBot(SKELETON, 3108, -3160, 25468, "ADDONWORLD.ZEN");
spawnBot(SKELETON, 997, -3702, 24274, "ADDONWORLD.ZEN");
spawnBot(SKELETON, 3912, -3155, 25862, "ADDONWORLD.ZEN");
spawnBot(SKELETON, 1593, -2625, 16574, "ADDONWORLD.ZEN");
spawnBot(SKELETON, 2250, -2579, 16454, "ADDONWORLD.ZEN");
spawnBot(SKELETON, 1549, -2361, 18795, "ADDONWORLD.ZEN");
spawnBot(SKELETON, 2796, -2452, 19011, "ADDONWORLD.ZEN");
spawnBot(SKELETON, -21745, -3118, -25580, "ADDONWORLD.ZEN");
spawnBot(SKELETON, -21904, -3132, -24449, "ADDONWORLD.ZEN");
spawnBot(SKELETON, -3378, -731, -6574, "ADDONWORLD.ZEN");
spawnBot(SKELETON, -3148, -745, -6906, "ADDONWORLD.ZEN");
spawnBot(SKELETON, -2902, -732, -8486, "ADDONWORLD.ZEN");
spawnBot(SKELETON, -922, -1026, -8322, "ADDONWORLD.ZEN");
spawnBot(SKELETON, 295, -975, -7099, "ADDONWORLD.ZEN");
spawnBot(SKELETON, 239, -976, -5256, "ADDONWORLD.ZEN");
spawnBot(SKELETON, -444, -968, -5482, "ADDONWORLD.ZEN");
spawnBot(SKELETON, -2024, -920, -4822, "ADDONWORLD.ZEN");
spawnBot(SKELETON, 2791, -977, 2057, "ADDONWORLD.ZEN");
spawnBot(SKELETON, 2742, -973, 1792, "ADDONWORLD.ZEN");
spawnBot(SKELETON, 4139, -970, 2105, "ADDONWORLD.ZEN");
spawnBot(SKELETON, 4499, -981, 2908, "ADDONWORLD.ZEN");
spawnBot(SKELETON, 5236, -974, 2840, "ADDONWORLD.ZEN");
spawnBot(SKELETON, 25634, -2115, -17204, "ADDONWORLD.ZEN");
spawnBot(SKELETON, 25788, -2117, -16763, "ADDONWORLD.ZEN");
spawnBot(SKELETON, 26267, -2118, -16709, "ADDONWORLD.ZEN");
spawnBot(SKELETON, 26707, -2126, -18353, "ADDONWORLD.ZEN");
spawnBot(SKELETON, 25974, -2118, -18360, "ADDONWORLD.ZEN");

spawnBot(SKELETON, 26326.7, -1082.13, 12658, "COLONY.ZEN");
spawnBot(SKELETON, 27172.5, -1376.94, 11455.8, "COLONY.ZEN");
spawnBot(SKELETON, 27612.7, -496.326, 13073, "COLONY.ZEN");
spawnBot(SKELETON, 28356.6, -440.915, 13077.5, "COLONY.ZEN");
spawnBot(SKELETON, 29328.6, -361.961, 13717.4, "COLONY.ZEN");
spawnBot(SKELETON, 29743.7, 83.4507, 15137.9, "COLONY.ZEN");
spawnBot(SKELETON, 25534.7, -1473.89, 11230, "COLONY.ZEN");
spawnBot(SKELETON, -37689.3, 3335.55, -15089, "COLONY.ZEN");
spawnBot(SKELETON, -37770.5, 3349.82, -15102.2, "COLONY.ZEN");
spawnBot(SKELETON, -35502, 2971.02, -12975, "COLONY.ZEN");
spawnBot(SKELETON, -35766, 3174.13, -11189, "COLONY.ZEN");
spawnBot(SKELETON, -34084, 2905.41, -11858, "COLONY.ZEN");
spawnBot(SKELETON, -32888, 2604.05, -10813, "COLONY.ZEN");
spawnBot(SKELETON, -34204.9, 2386.02, -15154.3, "COLONY.ZEN");
spawnBot(SKELETON, -34677.1, 2383.83, -15125, "COLONY.ZEN");
spawnBot(SKELETON, -35096, 2385.88, -15282, "COLONY.ZEN");
spawnBot(SKELETON, -34699.8, 2383.98, -13949.6, "COLONY.ZEN");
spawnBot(SKELETON, -11371.2, 2040.47, -33438.9, "COLONY.ZEN");
spawnBot(SKELETON, -10640.2, 2041.64, -34549.7, "COLONY.ZEN");
spawnBot(SKELETON, -11450.6, 2040.39, -33446.9, "COLONY.ZEN");
spawnBot(SKELETON, -12122, 2040.39, -34173.4, "COLONY.ZEN");
spawnBot(SKELETON, -12037.8, 2040.39, -34816.6, "COLONY.ZEN");
spawnBot(SKELETON, -12052, 2040.47, -33481.4, "COLONY.ZEN");
spawnBot(SKELETON, -12407.8, 2040.39, -34643.5, "COLONY.ZEN");
spawnBot(SKELETON, -12835.9, 2040.47, -34129.7, "COLONY.ZEN");
spawnBot(SKELETON, 37347.7, -3884.18, 8367.14, "COLONY.ZEN");
spawnBot(SKELETON, 36426.7, -3468.44, 6974.03, "COLONY.ZEN");
spawnBot(SKELETON, 36357.5, -3441.13, 7013.77, "COLONY.ZEN");
spawnBot(SKELETON, 36359.7, -3459.09, 7065.05, "COLONY.ZEN");
spawnBot(SKELETON, 37302.5, -3767.66, 7306.87, "COLONY.ZEN");
spawnBot(SKELETON, 37171.6, -3725.88, 7292.3, "COLONY.ZEN");
spawnBot(SKELETON, 37223.1, -3766.97, 7411.2, "COLONY.ZEN");
spawnBot(SKELETON, 33845.7, -2915.83, 7061, "COLONY.ZEN");
spawnBot(SKELETON, 33881.7, -2949.63, 7295.15, "COLONY.ZEN");
spawnBot(SKELETON, 32163.7, -2939.34, 8346.88, "COLONY.ZEN");
spawnBot(SKELETON, 32617, -2724.78, 6558, "COLONY.ZEN");
spawnBot(SKELETON, 31618.4, -2483.34, 7049.24, "COLONY.ZEN");
spawnBot(SKELETON, 29022.7, -2504.93, 7113, "COLONY.ZEN");
spawnBot(SKELETON, 28602.8, -2505.84, 6907.55, "COLONY.ZEN");
spawnBot(SKELETON, 28466.6, -2496.33, 7142.47, "COLONY.ZEN");
spawnBot(SKELETON, 28935.7, -2506.2, 7421.99, "COLONY.ZEN");
spawnBot(SKELETON, 27528.8, -2455.41, 7610.57, "COLONY.ZEN");
spawnBot(SKELETON, 27926.8, -1841.87, 10583.5, "COLONY.ZEN");
spawnBot(SKELETON, 27636.7, -1998.63, 9155.99, "COLONY.ZEN");
spawnBot(SKELETON, 27635.6, -1354.8, 12116.4, "COLONY.ZEN");
spawnBot(SKELETON, -35763, 3249.77, -14356.1, "COLONY.ZEN");
spawnBot(SKELETON, -34667.7, 3202.92, -13721.3, "COLONY.ZEN");
spawnBot(SKELETON, -34593.3, 3074.57, -14792.8, "COLONY.ZEN");
spawnBot(SKELETON, -36810.6, 3121.9, -16255.6, "COLONY.ZEN");